# Located

A simple neighbour detection library that is totally concurrent safe.

## Features
- Simple
- Fast
- Concurrent safe

## Important note

Located ONLY supports the direct-neighbour problem, NOT the range search problem! For that, you probably want to use [presence](https://git.ailur.dev/arzumify/presence) instead!

## Installation

To use the API, add the following to your `build.gradle`:

```groovy
repositories {
    maven {
        name = "Arzumify's Maven"
        url = "https://maven.ailur.dev"
    }
}

dependencies {
    implementation "arzumify:located:${version}"
}
```

To get the latest version, check the [Maven repository](https://maven.ailur.dev/arzumify/located).

## License

This library is licensed under the GPL-3.0 License. See the LICENSE file for more information.

## TL;DR (not legal advice):

You CAN:

- Redistribute this library
- modify this library
- Use this library in a project
- Use this library in a video or stream
- Sell this library as part of a larger work
- Use this library for any purpose

You CANNOT:

- Hold the author liable
- Claim this library as your own
- Change the license of this library
- Redistribute the library without the source code
- modify the library without sharing the source code

You MUST:

- Share the source code of this library
- Include the license with any redistribution
- Include the source code with any redistribution
- Reproduce the below disclaimer in any redistribution

Thank you for keeping the Java community open and free!

## Disclaimer

```
Presence - The ever-present range detection library for Java.
Copyright (C) 2025 Arzumify

This program is free software: you can redistribute it and/or libraryify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
```