import arzumify.located.api.Provider;
import arzumify.located.math.Vec3i;

import java.util.Collection;
import java.util.List;

public class ExampleIntegerPresence implements Provider {
    private final Collection<Vec3i> points;

    public ExampleIntegerPresence(Vec3i... points) {
        this.points = List.of(points);
    }

    @Override
    public Collection<Vec3i> points() {
        return this.points;
    }

    @Override
    public String dimension() {
        return "minecraft:overworld";
    }
}
